FSCK(8)

NOM
fsck.minix - Vérifier l'intégrité d'un système de fichiers MINIX

SYNOPSIS
fsck.minix [-larvsmf] périphérique

DESCRIPTION
fsck.minix effectue une vérification de l'intégrité d'un système de fichiers MINIX sous Linux. La version actuelle gère les options de noms de fichiers de 14 caractères ou de 30 caractères.

Le programme part du principe que le système de fichiers est inactif. fsck.minix ne doit pas être utilisé sur un système de fichiers monté à moins que vous ne soyez certain que personne n'est en train d'y écrire (souvenez-vous que le noyau peut y écrire alors qu'il effectue des recherches de fichiers).

Le périphérique est habituellement de la forme suivante :
    /dev/hda[1-63] (premier disque IDE)
    /dev/hdb[1-63] (deuxième disque IDE)
    /dev/sda[1-15] (premier disque SCSI)
    /dev/sdb[1-15] (deuxième disque SCSI)

Si le système de fichiers a été modifié (par exemple réparé), alors fsck.minix affichera « Le système de fichiers a été modifié (FILE SYSTEM HAS CHANGED) » et exécutera sync(2) trois fois avant de quitter. Comme Linux ne gère actuellement pas les périphériques bruts, il n'est pas nécessaire de redémarrer le système à ce moment.

AVERTISSEMENT
fsck.minix ne doit pas être utilisé sur un système de fichiers monté. L'utilisation de fsck.minix sur un système de fichiers monté est très dangereuse car il est possible que des fichiers effacés soient encore en cours d'utilisation, ce qui peut endommager sérieusement un système de fichiers en parfait état. Si vous devez absolument exécuter fsck.minix sur un système de fichiers monté (par exemple sur le système de fichiers racine), assurez-vous que rien ne va écrire sur le disque, et qu'il n'y a pas de fichier « zombie » en attente d'effacement.

OPTIONS

-l  Afficher tous les systèmes de fichiers.

-r  Effectuer les réparations en mode interactif.

-a  Effectuer automatiquement les réparations (cette option implique -r et donne la réponse par défaut à toutes les questions). Notez que c'est très dangereux dans le cas d'un système de fichiers gravement endommagé.

-v  Sortie détaillée.

-s  Afficher les informations de superbloc.

-m  Activer les avertissements « mode non réinitialisé » de type MINIX.

-f  Forcer la vérification d'un système de fichiers même s'il est marqué intègre (cette indication est écrite par le noyau lors du démontage du système de fichiers).

VOIR AUSSI
fsck(8), fsck.ext(8), fsck.ext2(8), fsck.xiafs(8), mkfs(8), mkfs.minix(8), mkfs.ext(8), mkfs.ext2(8), mkfs.xiafs(8), reboot(8)

DIAGNOSTICS
Il y a de nombreux messages de diagnostic. Ceux qui sont mentionnés ici sont les plus couramment rencontrés lors d'une utilisation normale.

Si le périphérique n'existe pas, fsck.minix affichera « impossible de lire le superbloc ». Si le périphérique existe mais que le système de fichiers n'est pas de type MINIX, fsck.minix affichera « nombre magique corrompu dans le superbloc ».

CODES DE RETOUR
Le code de fin d'exécution retourné par fsck.minix est la somme des suivants :

0   Pas d'erreur.

3   Les erreurs du système de fichiers ont été corrigées, le système devrait être redémarré si le système de fichiers était monté.

4   Il reste des erreurs non corrigées sur le système de fichiers.

8   Erreur lors de l'opération.

16  Erreur d'utilisation ou de syntaxe.

En pratique, seuls 0, 3, 4, 7, 8, ou 16 peuvent être retournés.

AUTEUR
Linus Torvalds <torvalds@cs.helsinki.fi>.
Valeurs des codes d'erreurs par Rik Faith <faith@cs.unc.edu>.
Ajout de la gestion de l'indicateur de validité du système de fichiers : Dr. Wettstein <greg%wind.uucp@plains.nodak.edu>.
Vérification afin d'éviter d'exécuter fsck sur un système de fichiers monté ajoutée par Daniel Quinlan <quinlan@yggdrasil.com>.
Gestion du système de fichiers MINIX v2 par Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>, mise à jour de Nicolai Langfeldt <janl@math.uio.no>.
Correctif de portabilité par Russell King <rmk@ecs.soton.ac.uk>.

DISPONIBILITÉ
La commande fsck.minix fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Jean-Luc Coulon (f5ibh) <jean-luc DOT coulon AT wanadoo DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.